Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

overview.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: overview.php 9837 2003-06-05 08:54:02Z br $
5 //
6 // Created on: <05-Jan-2001 11:23:51 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/ezmenubox.php" );
29 // include_once( "classes/eztemplate.php" );
30 // include_once( "classes/ezdate.php" );
31 // include_once( "ezstats/classes/ezpageview.php" );
32 // include_once( "ezstats/classes/ezpageviewquery.php" );
33
34
35 $ini = eZINI::instance( 'site.ini' );
36 $SiteDesign = $ini->variable( "site", "SiteStyle" );
37 $Language = $ini->variable( "eZStatsMain", "Language" );
38
39 $t = new eZTemplate( "kernel/ezstats/admin/" . $ini->variable( "eZStatsMain", "AdminTemplateDir" ),
40 "kernel/ezstats/admin/intl", $Language, "overview.php" );
41
42 $t->setAllStrings();
43
44 $t->set_file( array(
45 "overview_tpl" => "overview.tpl"
46 ) );
47
48 $query = new eZPageViewQuery();
49
50 $t->set_var( "total_page_views", $query->totalPageViews() );
51
52 $today = new eZDate();
53 $pagesToday = $query->totalPageViewsDay( $today );
54 $pagesThisMonth = $query->totalPageViewsMonth( $today );
55
56 $t->set_var( "total_pages_today", $pagesToday );
57
58 $t->set_var( "total_pages_this_month", $pagesThisMonth );
59
60 $t->pparse( "output", "overview_tpl" );
61
62 $menuItems = array(
63 array( "/stats/productreport/", "{intl-product_report}" ),
64 array( "/stats/entryexitreport/", "{intl-entry_exit_report}" )
65 );
66
67 eZMenuBox::createBox( "eZStats", "kernel/ezstats", "admin",
68 $SiteDesign, $menuItems, true,
69 "menuitems.tpl", "kernel/ezstats/admin/overview.php", true, false, "eZStatsMain" );
70
71 ?>
eZDate
Definition: ezdate.php:46
eZMenuBox\createBox
static createBox( $ModuleName, $module_dir, $place, $SiteDesign, &$menuItems, $print=true, $templatefile=false, $phpfile=false, $ignore_status=false, $allow_module_template=false, $settingsModuleName=false)
Definition: ezmenubox.php:61
eZPageViewQuery
Definition: ezpageviewquery.php:45
eZTemplate
Definition: eztemplate.php:107
$pagesToday
$pagesToday
Definition: overview.php:53
$t
$t
Definition: overview.php:39
$pagesThisMonth
$pagesThisMonth
Definition: overview.php:54
$Language
$Language
Definition: overview.php:37
$ini
$ini
Definition: overview.php:35
$menuItems
$menuItems
Definition: overview.php:62
$SiteDesign
$SiteDesign
Definition: overview.php:36
$today
$today
Definition: overview.php:52
$query
$query
Definition: overview.php:48
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.